export declare type Types = 'type' | 'input' | 'enum' | 'interface';
export declare type IFilterable = string | RegExp | string[];
export interface IFilter {
    custom?: (a: {
        line: string;
        name: string;
        type?: string;
        lineName: string;
        lineDef: string;
    }) => boolean | string;
    line?: IFilterable;
    fieldName?: IFilterable;
    type?: 'input' | 'type';
    invert?: boolean;
    name?: IFilterable;
    except?: IFilterable;
    exceptName?: IFilterable;
    nodeDescription?: string;
    add?: string;
    transformField?: {
        prepend?: string;
        append?: string;
        custom?: (a: {
            line: string;
            name: string;
            type?: string;
            lineName: string;
            lineDef: string;
        }) => string;
    };
}
declare const filterSchema: (schemaPath: string, out: string, fieldFilters: IFilter[], { descriptions, removeCommaInDescription }: {
    descriptions: {
        [s: string]: {
            [s: string]: {
                [s: string]: string;
            };
        };
    };
    removeCommaInDescription?: boolean | undefined;
}) => Promise<{
    out: string;
    bkFile: string;
}>;
export default filterSchema;
